ARCSYNC(1)

NAME
arcsync - ARC Synchronize

DESCRIPTION

  Usage:

    arcsync [OPTION...]

The arcsync command synchronizes your local job list with the information at the given CEs or registry servers.

  Target endpoint selection:

-C, --computing-element=ce
    computing element hostname or a complete endpoint URL

-Y, --registry=registry
    registry service URL with optional specification of protocol

  Behaviour tuning:

-f, --force
    do not ask for verification

-T, --truncate
    truncate the joblist before synchronizing

-j, --joblist=filename
    the file storing information about active jobs (default /build/nordugrid-arc-KXaFfm/nordugrid-arc-7.1.1/debian/.debhelper/generated/_source/home/.arc/jobs.dat)

--no-authentication
    do not perform any authentication for opened connections

--x509-authentication
    perform X.509 authentication for opened connections

--token-authentication
    perform token authentication for opened connections

--systemca
    force using CA certificates configuration provided by OpenSSL

--gridca
    force using CA certificates configuration for Grid services (typically IGTF)

--anyca
    force using CA certificates configuration for Grid services (typically IGTF) and one provided by OpenSSL

  Other actions:

--convert
    do not collect information, only convert jobs storage format

-P, --listplugins
    list the available plugins

  Application Options:

-h, --help
    Show help options

-z, --conffile=filename
    configuration file (default ~/.arc/client.conf)

-t, --timeout=seconds
    timeout in seconds (default 20)

-d, --debug=debuglevel
    FATAL, ERROR, WARNING, INFO, VERBOSE or DEBUG

-v, --version
    print version information

EXTENDED DESCRIPTION
The ARC CLI keeps a local database of active jobs in the users home directory (see arcsub(1)). If this file is lost, or the user wants to recreate the file on a different computer, the arcsync command can be used to recreate the file from the information available at the specified computing element or registry.

Since the information about a job retrieved from a CE can be slightly out of date if the user very recently submitted or removed a job a warning is issued when this command is run. The --force option disables this warning.

If the joblist is not empty when invoking synchronization the old jobs will be merged with the new jobs, unless the --truncate option is given, in which case the joblist will first be cleaned of old jobs and then the new jobs will be added.

FILES

~/.arc/client.conf
    Some options can be given default values by specifying them in the ARC client configuration file. By using the --conffile option a different configuration file can be used than the default.

~/.arc/jobs.dat
    This a local database of the user's active jobs. When a job is successfully submitted it is added to database and when it is removed from the remote CE it is removed from this list. This database is used as the list of all active jobs when the user specifies the --all option to the various NorduGrid ARC user interface commands. By using the --joblist option a different file can be used than the default.

AUTHOR
ARC software is developed by the NorduGrid Collaboration (http://www.nordugrid.org), please consult the AUTHORS file distributed with ARC. Please report bugs and feature requests to http://bugzilla.nordugrid.org

COPYRIGHT
APACHE LICENSE Version 2.0

SEE ALSO
arccat(1), arcclean(1), arccp(1), arcget(1), arcinfo(1), arckill(1), arcls(1), arcmkdir(1), arcproxy(1), arcrenew(1), arcresume(1), arcrm(1), arcstat(1), arcsub(1), arctest(1)